Convert libxl driver to Xen 4.2
authorJim Fehlig <jfehlig@suse.com>
Mon, 26 Nov 2012 16:28:56 +0000 (09:28 -0700)
committerJim Fehlig <jfehlig@suse.com>
Thu, 6 Dec 2012 23:15:54 +0000 (16:15 -0700)
commitdfa1e1dd5325f3a6bc8865312cde557044bf0b93
treece344847df42b7499598537465ea034eec9ddc3b
parent6856b93710d09513116003da5a82233ba976756d
Convert libxl driver to Xen 4.2

Based on a patch originally authored by Daniel De Graaf

  http://lists.xen.org/archives/html/xen-devel/2012-05/msg00565.html

This patch converts the Xen libxl driver to support only Xen >= 4.2.
Support for Xen 4.1 libxl is dropped since that version of libxl is
designated 'technology preview' only and is incompatible with Xen 4.2
libxl.  Additionally, the default toolstack in Xen 4.1 is still xend,
for which libvirt has a stable, functional driver.
configure.ac
docs/drvxen.html.in
libvirt.spec.in
src/libxl/libxl_conf.c
src/libxl/libxl_conf.h
src/libxl/libxl_driver.c